package com.ym.mec.biz.dal.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 直播房间管理表(ImLiveBroadcastRoom)表实体类
 *
 * @author hgw
 * @since 2022-02-17 20:52:05
 */
@ApiModel(value = "im_live_broadcast_room-直播房间管理表")
public class ImLiveBroadcastRoom implements Serializable {

    public static final String ALL = "ALL";
    public static final String PRIVATE = "PRIVATE";

    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("tenant_id_")
    @ApiModelProperty(value = "机构id")
    private Integer tenantId;

    @TableField("speaker_id_")
    @ApiModelProperty(value = "主讲人id/老师id")
    private Integer speakerId;

    @TableField("room_uid_")
    @ApiModelProperty(value = "房间编号")
    private String roomUid;

    @TableField("room_title_")
    @ApiModelProperty(value = "房间标题/最多12个字")
    private String roomTitle;

    @TableField("live_start_time_")
    @ApiModelProperty(value = "直播开始时间")
    private Date liveStartTime;

    @TableField("live_end_time_")
    @ApiModelProperty(value = "直播结束时间")
    private Date liveEndTime;

    @TableField("live_remark_")
    @ApiModelProperty(value = "直播内容/最多200个字")
    private String liveRemark;

    @TableField("pre_template_")
    @ApiModelProperty(value = "预热模版")
    private String preTemplate;

    @TableField("room_config_")
    @ApiModelProperty(value = "房间配置json格式-是否允许点赞-是否允许聊天互动-是否允许保存直播回放")
    private String roomConfig;

    @TableField("live_state_")
    @ApiModelProperty(value = "直播状态 0未开始 1开始 2已结束")
    private Integer liveState;

    @TableField("room_state_")
    @ApiModelProperty(value = "房间状态 0正常 1已删除 2销毁")
    private Integer roomState;

    @TableField("popularize_")
    @ApiModelProperty(value = "是否在首页推广 0否 1是 - 每个机构只能有一个直播间在首页推广")
    private Integer popularize;

    @TableField("popularize_type_")
    @ApiModelProperty(value = "直播间可见类型-全部可见 ALL / 部分可见 PRIVATE")
    private String popularizeType;

    @TableField("os_")
    @ApiModelProperty(value = "播出端-  pc网页端 移动端mobile")
    private String os = "pc";

    @TableField("created_by_")
    @ApiModelProperty(value = "创建人")
    private Integer createdBy;

    @TableField("created_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createdTime;

    @TableField("updated_by_")
    @ApiModelProperty(value = "更新人")
    private Integer updatedBy;

    @TableField("updated_time_")
    @ApiModelProperty(value = "更新时间")
    private Date updatedTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getSpeakerId() {
        return speakerId;
    }

    public void setSpeakerId(Integer speakerId) {
        this.speakerId = speakerId;
    }

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    public String getRoomTitle() {
        return roomTitle;
    }

    public void setRoomTitle(String roomTitle) {
        this.roomTitle = roomTitle;
    }

    public Date getLiveStartTime() {
        return liveStartTime;
    }

    public void setLiveStartTime(Date liveStartTime) {
        this.liveStartTime = liveStartTime;
    }

    public Date getLiveEndTime() {
        return liveEndTime;
    }

    public void setLiveEndTime(Date liveEndTime) {
        this.liveEndTime = liveEndTime;
    }

    public String getLiveRemark() {
        return liveRemark;
    }

    public void setLiveRemark(String liveRemark) {
        this.liveRemark = liveRemark;
    }

    public String getPreTemplate() {
        return preTemplate;
    }

    public void setPreTemplate(String preTemplate) {
        this.preTemplate = preTemplate;
    }

    public String getRoomConfig() {
        return roomConfig;
    }

    public void setRoomConfig(String roomConfig) {
        this.roomConfig = roomConfig;
    }

    /**
     * 直播状态 0未开始 1开始 2已结束
     */
    public Integer getLiveState() {
        return liveState;
    }

    /**
     * 直播状态 0未开始 1开始 2已结束
     */
    public void setLiveState(Integer liveState) {
        this.liveState = liveState;
    }

    /**
     * 房间状态 0正常 1已删除 2销毁
     */
    public Integer getRoomState() {
        return roomState;
    }

    /**
     * 房间状态 0正常 1已删除 2销毁
     */
    public void setRoomState(Integer roomState) {
        this.roomState = roomState;
    }

    /**
     * 是否在首页推广 0否 1是 - 每个机构只能有一个直播间在首页推广
     */
    public Integer getPopularize() {
        return popularize;
    }

    /**
     * 是否在首页推广 0否 1是 - 每个机构只能有一个直播间在首页推广
     */
    public void setPopularize(Integer popularize) {
        this.popularize = popularize;
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }

    public Integer getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Integer createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Integer getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Integer updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getPopularizeType() {
        return popularizeType;
    }

    public void setPopularizeType(String popularizeType) {
        this.popularizeType = popularizeType;
    }

}

